%define name dlm
%define version 1.0
%define pre pre21
%define release 1mdk

Summary: dlm The Distributed Lock Manager
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}-%pre.tar.bz2
Patch0: dlm-libMakefile.patch.bz2
License: GPL
Group: System
#Url: 
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
buildrequires: dlm-kernel

%description
dlm: The Distributed Lock Manager
userland libraries

%prep
%setup -q -n  %{name}-%{version}-%pre
%patch -p0

%build
./configure --incdir=%{_includedir} \
	--kernel_src=/usr/src/linux \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--sbindir=%{_sbindir} \
	--sharedir=%{_datadir}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall DESTDIR=$RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/libdlm.so*
%{_libdir}/libdlm_lt.so*
%doc
%{_includedir}/libdlm.h
%{_libdir}/libdlm.a
%{_libdir}/libdlm_lt.a

%changelog
* Mon Apr 11 2005 Antoine Ginis <aginies@mandriva.com> 1.0-1mdk
- first release
